﻿using data.DAO;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data
{
    public class RemoteDatabaseContext: DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=localhost;Port=5432;Password=123;Username=postgres;Database=presence");
        }

        public DbSet<GroupDAO> groups { get;set;}  

        public DbSet<UserDAO> users { get;set;}

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<UserDAO>().HasKey(it => it.Guid);
            modelBuilder.Entity<GroupDAO>().HasKey(it => it.Id);

            modelBuilder.Entity<UserDAO>().Property(it => it.Guid).ValueGeneratedOnAdd();
            modelBuilder.Entity<GroupDAO>().Property(it => it.Id).ValueGeneratedOnAdd();
        }

    }
}
